Bug 144117 - [PATCH] Fix issue with x11/xfce4-conf when building gtk-docs
Summary: [PATCH] Fix issue with x11/xfce4-conf when building gtk-docs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-19 23:10 UTC by Chris Petrik
Modified: 2010-04-07 10:30 UTC (History)
0 users

See Also:


Attachments
file.diff (986 bytes, patch)
2010-02-19 23:10 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2010-02-19 23:10:00 UTC
Enabling building of gtk-docs renders the build to fail. there seems to be a missing -module= flag that needs to be given to gtkdoc-fixxref 

This was discussed with kwm on #bsdports.

Fix: The fix was made by kwm@

Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-02-20 04:44:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Fix synopsis and assign.
Comment 2 dfilter service freebsd_committer 2010-04-07 10:22:46 UTC
oliver      2010-04-07 09:22:31 UTC

  FreeBSD ports repository

  Modified files:
    x11/xfce4-conf       Makefile 
  Log:
  fix compilation if GTKDOC is enabled
  
  PR:             ports/144117
  Submitted By:   Chris Petrik <c.petrik.sosa@gmail.com>
  
  Revision  Changes    Path
  1.8       +4 -0      ports/x11/xfce4-conf/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Oliver Lehmann freebsd_committer 2010-04-07 10:22:57 UTC
State Changed
From-To: open->closed

Committed, Thanks!